Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.rpcdispatcher
Class RPCDispatcherConfigLoader

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          com.ejie.r01f.rpcdispatcher.RPCDispatcherConfigLoader

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

public class RPCDispatcherConfigLoader
extends org.xml.sax.helpers.DefaultHandler

Cargador de la configuración RPC

Constructor Summary
`RPCDispatcherConfigLoader()` Creates new RPCDispatcherConfig

Method Summary
`void` | `characters(char[] buf, int offset, int len)` Caracteres del elemento XML
`void` | `endDocument()` Fin del documento XML
`void` | `endElement(java.lang.String namespaceURI, java.lang.String sName, java.lang.String qName)` Fin de un elemento XML
`RPCDispatcherConfig` | `load(java.io.InputStream is)`
`RPCDispatcherConfig` | `load(java.lang.String inXMLStr)`
`void` | `startDocument()` Principio del documento XML
`void` | `startElement(java.lang.String namespaceURI, java.lang.String lName, java.lang.String qName, org.xml.sax.Attributes attrs)` Principio de un elemento XML

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RPCDispatcherConfigLoader

    public RPCDispatcherConfigLoader()

  Creates new RPCDispatcherConfig

Method Detail

### load

    public RPCDispatcherConfig load(java.io.InputStream is)
                             throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### load

    public RPCDispatcherConfig load(java.lang.String inXMLStr)
                             throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startDocument

    public void startDocument()

  Principio del documento XML

### endDocument

    public void endDocument()

  Fin del documento XML

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String lName,
                             java.lang.String qName,
                             org.xml.sax.Attributes attrs)

  Principio de un elemento XML

### characters

    public void characters(char[] buf,
                           int offset,
                           int len)

  Caracteres del elemento XML

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String sName,
                           java.lang.String qName)

  Fin de un elemento XML

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD